
Katello - Bug #19183

Ensure that satellite-clone hammer script is tested

04/05/2017 01:47 PM - John Mitsch

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In satellite-clone we use a hammer script to disassociate capsules. If we can get testing of these hammer commands it would help to

prevent breakages in our script.

The script can be found here:

https://github.com/RedHatSatellite/satellite-clone/blob/master/roles/satellite-clone/files/disassociate_capsules.rb

The commands we use are:

capsule list

capsule content lifecycle-environments

capsule info

capsule content remove-lifecycle-environment

capsule content add-lifecycle-environment

Related issues:

Is duplicate of Katello - Bug #19184: Ensure that satellite-clone hammer scri... Closed 04/05/2017

History

#1 - 04/05/2017 01:53 PM - Andrew Kofink

- Assignee set to Andrew Kofink

- Target version set to 181

This issue tracks hammer-cli-foreman `capsule list` and `capsule info` tests only. http://projects.theforeman.org/issues/19184 is for all the `capsule

content` commands in hammer-cli-katello.

#2 - 04/06/2017 02:54 AM - Dominic Cleal

- Project changed from Hammer CLI to Katello

#3 - 04/06/2017 10:56 AM - Andrew Kofink

- Project changed from Katello to Hammer CLI

Changing this back to Foreman. This issue tracks the `hammer capsule info|list` commands, which are a part of hammer-cli-foreman. I created 

#19184 for the `hammer capsule content ...` commands in Katello.

#4 - 04/06/2017 10:58 AM - Dominic Cleal

- Status changed from New to Need more information

hammer-cli-foreman doesn't have any "capsule" commands, can you double-check please? The term is a Katello one, I believe.

#5 - 04/06/2017 11:10 AM - Andrew Kofink

- Project changed from Hammer CLI to Katello

- Status changed from Need more information to Duplicate
- Target version deleted (181)

- translation missing: en.field_release set to 166

Ah, gotcha. I'll close this one and use the other issue to track all the commands. Sorry about the confusion.

#6 - 04/06/2017 11:11 AM - Andrew Kofink

- Is duplicate of Bug #19184: Ensure that satellite-clone hammer script is tested added

#7 - 06/08/2017 09:03 AM - Andrew Kofink

- Assignee deleted (Andrew Kofink)

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

